#!/bin/sh

IMAGE1=x-load.bin
IMAGE2=u-boot.bin
ONEBOOT=oneboot.bin
TMP=oneloader
PAGESIZE=2048

size=`ls -la $IMAGE1 | awk -F' ' '{ printf $5}'`
let remain=$PAGESIZE-$size
dd if=/dev/zero of=zerofile bs=$remain count=1 > /dev/null 2> /dev/null
cat $IMAGE1 zerofile > $TMP
cat $TMP $IMAGE2 > $ONEBOOT

rm -f zerofile $TMP

echo "Create $ONEBOOT completed..."
